Last modified: 2011-07-06 02:53:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29658 - CodeReview has no right-to-left support
CodeReview has no right-to-left support
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CodeReview (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-06-30 15:54 UTC by Amir E. Aharoni
Modified: 2011-07-06 02:53 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
CR revision list on current SVN trunk with $wgBetterDirectionality & he (272.57 KB, image/png)
2011-07-01 19:01 UTC, Brion Vibber
Details
CR revision view on current SVN trunk with $wgBetterDirectionality & he (221.29 KB, image/png)
2011-07-01 19:02 UTC, Brion Vibber
Details

Description Amir E. Aharoni 2011-06-30 15:54:18 UTC
The CodeReview extension is completely translated to Hebrew and to several other right-to-left languages, but actually using it in these languages is problematic, because it does not support RTL display completely.

Fixing this is not as urgent as fixing RTL bugs in core MediaWiki and other end-user components, but it would be a nice thing to do someday.
Comment 1 Amir E. Aharoni 2011-06-30 15:55:04 UTC
Maybe enabling wgBetterDirectionality in mediawiki.org will help solving this.
Comment 2 Robin Pepermans (SPQRobin) 2011-06-30 16:01:53 UTC
WMF wikis still run on 1.17, so it will take some time until they have the code (v1.19) to enable wgBetterDirectionality (it will likely be default by then).
Comment 3 Brion Vibber 2011-07-01 18:53:07 UTC
A few quick notes from a few minutes browsing with lang set to 'he' & wgBetterDirectionality on a local trunk site (with default content language English):

Revision list view:

* table shows in RTL format, pager is right direction, and looks nice overall, but...

* paths need to have directionality forced; possibly should flip the cells to LTR, but at least the paths need to be fully marked as LTR or the bidi layout ends up moving the root / to the right hand of the string.

* Commit comment extracts are also generally English and should probably be forced to LTR.


Revision view:

* revision paging links may need RTL forced ("r12345" and "ViewVC" are LTR chunks and it seems to get confused on the overall order of pieces; I think they should show something like this in he:

  < r10001 (ViewVC ##) r10000 r9999 >

as equivalent of en:

  < r9999 r10000 (on ViewVC) r10001 >

but currently show something awful like:

  < ViewVC) | r10001##) r9999 r10000 >

* commit messages should probably be shown in LTR blocks, as they're generally going to be English

* ... I'm actually not sure what the best handling for file paths is. Probably either keeping the whole list LTR or else properly marking direction on each path string so they show forwards:

  (####) (###) /trunk/phase3/includes/Title.php

instead of getting the slashes mixed up as now:

  (####) (###) trunk/phase3/includes/Title.php/

* Diffs likewise need to be shown in LTR blocks.

* Comment display and editing... currently the comments get shown in RTL blocks, which is pretty hard to work with for English & PHP/JS/CSS mixed discussion and will likely lead to lots of corrupted display. Should probably be treated as LTR blocks by default, based on content language -- this appears to be a general issue with editing and text input in $wgBetterDirectionality mode.
Comment 4 Brion Vibber 2011-07-01 19:01:23 UTC
Created attachment 8729 [details]
CR revision list on current SVN trunk with $wgBetterDirectionality & he

Highlighted a couple bits that may need tweaking.
Comment 5 Brion Vibber 2011-07-01 19:02:04 UTC
Created attachment 8730 [details]
CR revision view on current SVN trunk with $wgBetterDirectionality & he

Highlighted a number of problematic areas, discussed in comments above.
Comment 6 Robin Pepermans (SPQRobin) 2011-07-01 21:11:09 UTC
I marked the paths and code diff as LTR, and fixed the revision paging links with a direction mark in r91293.
The commit summaries, comments and editing box should be set to the content language. Maybe we should let all textarea and input[type="text"] depend on the content language by default?
Comment 7 Robin Pepermans (SPQRobin) 2011-07-06 02:53:30 UTC
I aligned commit messages according to content language direction, and aligned input boxes on SpecialRepoAdmin as LTR in r91519.
Also fixed the margin of the indented comments, which is not seen on the screenshots.

Marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links